# $Revision: 1.68.2.1 $, $Date: 2006/04/20 12:32:27 $
Summary:	gcombust is a GTK+ frontend for mkisofs and cdrecord
Summary(pl):	gcombust jest nakadk na mkisofs i cdrecord napisan z uyciem Gtk+
Summary(ru):	gcombust -  GTK+   mkisofs  cdrecord
Summary(uk):	gcombust -  GTK+   mkisofs  cdrecord
Name:		gcombust
Version:	0.1.52
Release:	7
License:	GPL
Group:		X11/Applications
Vendor:		Jonas Munsin <jmunsin@iki.fi>
Source0:	http://www.abo.fi/~jmunsin/gcombust/%{name}-%{version}.tar.gz
# Source0-md5:	2c2455f8fe91cddd7b87bf59916a39e8
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-po.patch
Patch2:		%{name}-locale_names.patch
Icon:		gcombust.xpm
URL:		http://www.iki.fi/jmunsin/gcombust/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
Requires:	cdrecord
Requires:	cdrtools-mkisofs >= 1.10
Requires:	cdlabelgen >= 1.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gcombust is a gui for mkisofs and cdrecord Linux. It's written in C
and it uses the GTK+ widget set (currently it's been tested and used
only on Linux and X Window). gcombust is work in progress, the
current (development) release is to be considered beta software. That
means it hasn't been tested very well and that some parts of the code
isn't written.

%description -l pl
Gcombust jest graficznym interfejsem dla linuksowych programw mkisofs
i cdrecord. Zosta napisany w C i uywa zbioru widgetw GTK+ (jak
dotd zosta jedynie przetestowany na Linuksie i X Window). Gcombust
to praca w toku (WIP), za bieca wersja (rozwojowa) ma status beta.
Oznacza to, e nie zostaa dobrze przetestowana i brakuje niektrych
fragmentw kodu.

%description -l ru
gcombust -  GUI  mkisofs  cdrecord.    C 
   GTK+.

%description -l uk
gcombust -  GUI  mkisofs  cdrecord.    C 
դ ¦ צԦ GTK+.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv -f po/{no,nb}.po
install %{SOURCE1} .

%build
rm -f missing
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_desktopdir}

install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang gcombust

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gcombust.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/gcombust
%{_desktopdir}/gcombust.desktop
%{_pixmapsdir}/gcombust.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcombust.spec,v $
Revision 1.68.2.1  2006/04/20 12:32:27  ankry
- rel. 7

Revision 1.68  2004/08/31 09:00:56  snurf
- typos / formatting / etc.

Revision 1.67  2004/08/04 06:42:53  ankry
- rel. 6

Revision 1.66  2004/08/04 06:23:11  ankry
- i18n fixes (-po patch), rel. 5

Revision 1.65  2004/07/26 08:27:48  ankry
- po header fixes (-po patch)

Revision 1.64  2004/07/26 08:11:24  ankry
- no -> nb, rel. 4

Revision 1.63  2004/07/04 11:21:27  havner
- applnk -> vfolders

Revision 1.62  2004/04/26 15:32:37  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.61  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.60  2003/06/11 14:07:50  ankry
- added md5

Revision 1.59  2003/05/25 05:47:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.57  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/07/10 00:20:07  kloczek
- updated to 0.1.52 (bugfixes).

Revision 1.55  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.54  2002/05/26 16:56:34  kloczek
- updated to 0.1.51.

Revision 1.53  2002/05/26 02:59:36  kloczek
- merge translatiobs from KSI.

Revision 1.52  2002/05/25 12:53:14  kloczek
- updated to 0.1.50.

Revision 1.51  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.50  2002/04/25 16:21:25  arturs
fixed a small typo

Revision 1.49  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.48  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.47  2002/03/04 13:19:59  qboosh
- fixed cdrtools-mkisofs version, release 3

Revision 1.46  2002/02/25 13:44:41  gotar
- typos,
- Requires: mkisofs -> cdrtools-mkisofs,
- release 2.

Revision 1.45  2002/02/25 03:40:05  kloczek
- updated to 0.1.49.

Revision 1.44  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/02/03 20:45:12  ankry
- adding es/pt/pt_BR Group translations

Revision 1.42  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2002/01/07 09:26:28  kloczek
- updated to 0.1.48 (bug fixes and updates in translatios and documentation).

Revision 1.40  2001/11/07 00:44:02  kloczek
- updated to 0.1.47.

Revision 1.39  2001/08/09 10:09:45  kloczek
- updated to 0.1.46.

Revision 1.38  2001/06/24 23:31:35  kloczek
- release 2: added Icon to desktop file.

Revision 1.37  2001/06/08 14:11:37  baggins
- updated to 0.1.45

Revision 1.36  2001/05/20 08:42:31  kloczek
- updated to 0.1.44.

Revision 1.35  2001/03/21 00:31:23  kloczek
- updated to 0.1.43.

Revision 1.34  2001/02/27 05:41:12  kloczek
- updated to 0.1.42.

Revision 1.33  2001/01/07 22:35:01  kloczek
- updated to 0.1.41.

Revision 1.32  2001/01/06 01:33:13  kloczek
- more simplifcations in %install.

Revision 1.31  2001/01/06 01:32:16  kloczek
- updated to 0.1.40,
- added pl Summary,
- simplifications in %install and %files.

Revision 1.30  2000/12/16 06:58:16  kloczek
- updated to 0.1.39.

Revision 1.29  2000/11/16 01:57:54  kloczek
- updated to 0.1.38.

Revision 1.28  2000/11/03 10:20:07  kloczek
- updated to 0.1.37.

Revision 1.27  2000/10/16 15:28:05  zagrodzki
- updated to 0.1.36

Revision 1.26  2000/10/10 13:32:33  wrobell
- fixed requires
- release up

Revision 1.25  2000/09/30 16:39:42  kloczek
- adapterized.

Revision 1.24  2000/09/30 01:32:10  zagrodzki
- updated to 0.1.35

Revision 1.23  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.22  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/06/03 08:27:24  kloczek
- updated to 0.1.33.

Revision 1.20  2000/05/30 14:16:54  michuz
- release 3
- %%applnkdir changed

Revision 1.19  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.18  2000/05/03 20:21:45  kloczek
- updated to 0.1.32.

Revision 1.17  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.16  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/30 02:17:41  kloczek
- added installing desktop file.

Revision 1.14  2000/03/30 00:06:56  kloczek
- release 2.

Revision 1.13  2000/03/29 23:44:39  zagrodzki
- added desktop
- group to X11/...
- adapterized

Revision 1.12  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.11  2000/03/28 07:32:43  kloczek
- updated to 0.1.31.

Revision 1.10  2000/03/06 09:59:07  wiget
0.1.30

Revision 1.9  2000/03/06 03:52:20  kloczek
- release 2,
- added BuildRequires rules,
- gettext fixes (added BuildRequires: gettext-devel and added "gettextize
  --copy --force" on top %build),
- cut %chngelog.

Revision 1.8  2000/02/19 15:08:07  baggins
- updated to 0.1.29

Revision 1.7  2000/01/31 20:28:41  baggins
- updated to 0.1.28

Revision 1.6  1999/12/15 10:09:45  zagrodzki
- home_etc patch
- adapterized

Revision 1.5  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.4  1999/10/27 13:49:55  baggins
- spec rewriten for PLD

Based on spec written by Ryan Weaver <ryanw@infohwy.com>
